textures/skies/hellsky4
{
	qer_editorimage textures/skies/hellsky4.tga

	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	q3map_lightimage textures/skies/blacksky.tga
	q3map_surfacelight 20
	q3map_sun 1 0.15 0 35 315 30

	skyparms env/hell/hellsky4 - -
}

textures/common/nofootsteps
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nosteps
}

textures/hell/bacteria_6
{
	tessSize 128
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hell/bacteria_5.tga
	tcmod scroll 0 -.1
	blendFunc GL_ONE GL_ONE
	}
	{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
	rgbGen identity
	}
}

textures/proto2/mac_glow2
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 5
	q3map_lightimage textures/proto2/mac_glow.tga
	cull disable

	{
		map textures/proto2/mac_glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/skin/labimp_d
{
	deformVertexes wave 100 sin 0 .2 0 .2
	surfaceparm	nonsolid
	surfaceparm trans
	cull none

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/skin/labimp_d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/skin/labimp_d2
{
	deformVertexes wave 100 sin 0 .2 0 .2
	surfaceparm	nonsolid
	surfaceparm trans
	cull none

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/skin/labimp_d2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/hell/pentabase
{
	qer_editorimage textures/hell/pentabase.tga
	{
		map textures/hell/pentabase.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/hell/pentastic1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 .5	
		depthfunc equal
	}
}

textures/hell/pillarbase2
{
        qer_editorimage textures/hell/pillarbase2.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        qer_trans 0.5
        {
                map textures/hell/pillarbase2.tga
                blendfunc filter
        }
}

textures/rjldm2/metalchain
{
	cull disable
	surfaceparm alphashadow
	surfaceparm nomarks
        qer_editorimage textures/rjldm2/metalchain.tga
	{
		map textures/rjldm2/metalchain.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/gm3tourney2/cobweb2
{
     qer_editorimage textures/gm3tourney2/cobweb2.tga
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
    deformVertexes wave 10 sin 0 2 0 0.2
     
        {
                map textures/gm3tourney2/cobweb2.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
       rgbGen identity
        }
}

textures/custom/spinnenwebe
{
     qer_editorimage textures/custom/spinnenwebe.tga
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     
        {
                map textures/custom/spinnenwebe.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/liquids/blood
{
	q3map_globaltexture
	qer_trans .9
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm nolightmap
	q3map_surfacelight 200
	tesssize 128
	cull disable
	
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/liquids/blood.tga
		tcMod turb 0.2 0.2 0 0.05
	}
}

textures/marsbase/blood2
{
        qer_editorimage textures/marsbase/blood2.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/marsbase/blood2.tga
                blendfunc filter
        }
}

textures/marsbase/blood4
{
        qer_editorimage textures/marsbase/blood4.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/marsbase/blood4.tga
                blendfunc filter
        }
}

textures/marsbase/blood5
{
        qer_editorimage textures/marsbase/blood5.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/marsbase/blood5.tga
                blendfunc filter
        }
}

textures/marsbase/blood6
{
        qer_editorimage textures/marsbase/blood6.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/marsbase/blood6.tga
                blendfunc filter
        }
}

textures/marsbase/blood7
{
        qer_editorimage textures/marsbase/blood7.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/marsbase/blood7.tga
                blendfunc filter
        }
}

textures/marsbase/blood9
{
        qer_editorimage textures/marsbase/blood9.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/marsbase/blood9.tga
                blendfunc filter
        }
}

textures/custom/firePillar2
{
	deformVertexes autoSprite2
    deformVertexes move 0.2 0 .3  sin 0 3 0 10
    deformVertexes move 0 0.2 0  sin 0 1 0 3
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 50

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
}

textures/proto2/steam01
{
	qer_editorimage textures/proto2/steam_01_img.tga
	cull disable
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm pointlight

	{
		map textures/proto2/steam01.tga
		tcmod scroll 0 0.3
		blendFunc blend
		rgbGen vertex
	}
}

textures/gothic_light/ironcrossltred_1000
{
	qer_editorimage textures/gothic_light/ironcrossltred.tga
	q3map_lightimage textures/gothic_light/ironcrossltred.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/ironcrossltred.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/ironcrossltred.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/gothic_trim/pitted_rust_fx
{
	{
	map textures/gothic_trim/pitted_rust_fx.tga
	rgbGen identity
	}
	{
	map textures/gothic_trim/pitted_rust_fx.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map textures/decals/blood_drip1a.tga
	tcmod scroll 0 -.1
		blendfunc filter
	}
	{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
	rgbGen identity
	}
}

textures/gothic_wall/oct20c_fx
{
	{
	map textures/gothic_wall/oct20c_fx.tga
	rgbGen identity
	}
	{
	map textures/gothic_wall/oct20c_fx.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map textures/decals/blood_drip1a.tga
	tcmod scroll 0 -.1
		blendfunc filter
	}
	{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
	rgbGen identity
	}
}

textures/gothic_trim/pitted_rust4
{
	qer_editorimage textures/gothic_trim/pitted_rust5.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_trim/pitted_rust5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen wave noise 0.75 0.25 0 10
	}
}

textures/gothic_trim/metalsupsolid2
{
	qer_editorimage textures/gothic_trim/metalsupsolid3.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_trim/metalsupsolid3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen wave noise 0.75 0.25 0 10
	}
}

textures/decals/stainwallfadered
{
        qer_editorimage textures/decals/stainwallfadered.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/decals/stainwallfadered.tga
                blendfunc filter
        }
}

textures/decals/stainwallred
{
        qer_editorimage textures/decals/stainwallred.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/decals/stainwallred.tga
                blendfunc filter
        }
}

textures/decals/bootprint01
{
        qer_editorimage textures/decals/bootprint01.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/decals/bootprint01.tga
                blendfunc filter
        }
}

textures/decals/stain01b
{
        qer_editorimage textures/decals/stain01b.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/decals/stain01b.tga
                blendfunc filter
        }
}

textures/decals/scorch2
{
        qer_editorimage textures/decals/scorch2.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/decals/scorch2.tga
                blendfunc filter
        }
}

textures/marsbase/dirt2
{
        qer_editorimage textures/marsbase/dirt2.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/marsbase/dirt2.tga
                blendfunc filter
        }
}

textures/decals/symbol_letters_31e
{
        qer_editorimage textures/decals/symbol_letters_31e.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/decals/symbol_letters_31e.tga
                blendfunc filter
        }
}